Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Standard Widget Toolkit (SWT) » SWT_AWT compatibility
SWT_AWT compatibility [message #537679] Thu, 03 June 2010 11:17
Kai Schlamp is currently offline Kai SchlampFriend
Messages: 344
Registered: July 2009
Senior Member
Hello.

I know that application crashes when using the SWT_AWT bridge are a known problem. I also have the problem with my app when integrating the JUNG graph presentation framework that is built on Swing. At first I start to get StackOverFlowExceptions and then the app simply crashes sometime. There is a workaround on Bug 171432 (https://bugs.eclipse.org/bugs/show_bug.cgi?id=171432) that doesn't seem to work anymore with current Eclipse and GTK versions. Maybe someone else has another workaround here?
I also read that with Java 7 that problem will be solved. But how about the flickering thing? I tried to use the Prefuse graph presentation framework that is highly dynamic (all nodes and edges are constantly moving), but it flickers so much that is not usable (also tried all the workarounds without success). Will that problem also be gone with Java 7?
There are so many Swing components, especially in the graphical section. We Eclipse guys should really look for a better integration there. Sad to see that the Albireo project stopped. But it seems that there are so many barrieres that just can't be solved.

Regards,
Kai
Previous Topic:Wiggly Mouse Browser Pre-help: Display.readAndDispatch
Next Topic:Is there a way to always show the scrollbar for a List?
Goto Forum:
  


Current Time: Fri Aug 23 15:12:45 GMT 2019

Powered by FUDForum. Page generated in 0.01144 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top